Kindle lovers, beware: there’s a mandatory update to your beloved e-reader, and if you don’t install it by March 22, you’re going to end up with a blank slate.

The update is necessary for downloading books from the cloud, accessing the Kindle Store, and use other Kindle services moving forward.

“The update will ensure their device is operating with the latest software, and that it remains compliant with continuously evolving industry standard,” says Amazon amzn spokesperson Kinley Pearsall.

Get Data Sheet, Fortune’s technology newsletter.

The update doesn’t affect every Kindle model. Only models from 2012 and older will need to upgrade their software. If you act before March 22, installing the upgrade is no big deal. Kindle models from 2007 through 2009 can be updated via the devices’ wireless connections before then, and models from 2010 to 2012 can update their software via Wi-Fi.

But if you miss the March 22 deadline, it will be a bigger headache. You’ll need to install the update to your e-reader manually. That means not automatically via wireless or Wi-Fi, but rather by downloading the proper software version to your computer and connecting your Kindle to your PC via a USB cable.

A post on Amazon’s customer service website shows the various versions of the software that each Kindle model needs. The issue affects the following models:

Kindle 1st Generation (2007)

Kindle 2nd Generation (2009)

Kindle DX 2nd Generation (2009)

Kindle Keyboard 3rd Generation (2010)

Kindle 4th Generation (2011)

Kindle 5th Generation (2012)

Kindle Touch 4th Generation (2011)

Kindle Paperwhite 5th Generation (2012)